Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/ChartEditorToolBar.java
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/ChartEditorToolBar.java	(revision 1334)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/ChartEditorToolBar.java	(revision 1335)
@@ -1,214 +1,214 @@
-package org.txm.chartsengine.rcp.swt;
-
-import org.eclipse.swt.widgets.Composite;
-import org.txm.chartsengine.core.results.ChartResult;
-import org.txm.chartsengine.rcp.editors.ChartEditor;
-import org.txm.rcp.editors.TXMEditorToolBar;
-import org.txm.rcp.swt.GLComposite;
-
-/**
- * The default chart editor tool bar shared by every <code>ChartEditor</code>.
- * The tool bar is accessible and usable in plugin.xml with the URI toolbar:ChartEditorToolBar.
- * 
- * @author sjacquot
- *
- */
-// FIXME: became useless, can directly use TXMEditorToolBar
-public class ChartEditorToolBar extends TXMEditorToolBar {
-
-
-	public final static String ID = "ChartEditorToolBar" ;
-	
-	
-	/**
-	 * 
-	 * @param parent
-	 * @param style
-	 * @param toolBarId
-	 * @param chartEditor
-	 */
-	public ChartEditorToolBar(ChartEditor<? extends ChartResult> chartEditor, Composite parent, GLComposite subWidgetsComposite, int style) {
-		this(chartEditor, parent, subWidgetsComposite, style, ChartEditorToolBar.ID);
-	}
-	
-
-	/**
-	 * 
-	 * @param parent
-	 * @param style
-	 * @param chartEditorPart
-	 */
-	public ChartEditorToolBar(ChartEditor<? extends ChartResult> chartEditor, Composite parent, GLComposite subWidgetsComposite, int style, String toolbarId) {
-		super(chartEditor, parent, subWidgetsComposite, style, toolbarId);
-
-		
-		//FIXME: tests
-//		new ToolItem(this, SWT.SEPARATOR);
-//		
-//		final ToolItem showTitle = new ToolItem(this, SWT.CHECK);
-//		//showTitle.setText(SWTComponentsProviderMessages.SWTChartsComponentProvider_SHOW_HIDE_TITLE);
-//		showTitle.setImage(IImageKeys.getImage(this, "icons/show_title.png"));
-//		showTitle.setDisabledImage(IImageKeys.getImage(this, "icons/show_title_disabled.png"));
-//		showTitle.setToolTipText(SWTComponentsProviderMessages.SWTChartsComponentProvider_SHOW_HIDE_TITLE);
-//
-//		if(!TXMPreferences.isEmpty(chartEditorPart.getPreferencesNodeQualifier(), ChartsEnginePreferences.SHOW_TITLE))	{
-//			showTitle.setSelection(TXMPreferences.getBoolean(chartEditorPart.getPreferencesNodeQualifier(), chartEditorPart.getResultData(), ChartsEnginePreferences.SHOW_TITLE));
-//		}
-//		// disable if not managed
-//		else	{
-//			showTitle.setEnabled(false);
-//		}
-//		
-//
-//		final ToolItem showLegend = new ToolItem(this, SWT.CHECK);
-//		//showLegend.setText(SWTComponentsProviderMessages.SWTChartsComponentProvider_SHOW_HIDE_LEGEND);
-//		showLegend.setImage(IImageKeys.getImage(this, "icons/show_legend.png"));
-//		showLegend.setDisabledImage(IImageKeys.getImage(this, "icons/show_legend_disabled.png"));
-//		showLegend.setToolTipText(SWTComponentsProviderMessages.SWTChartsComponentProvider_SHOW_HIDE_LEGEND);
-//
-//		if(!TXMPreferences.isEmpty(chartEditorPart.getPreferencesNodeQualifier(), ChartsEnginePreferences.SHOW_LEGEND))	{
-//			showLegend.setSelection(TXMPreferences.getBoolean(chartEditorPart.getPreferencesNodeQualifier(), chartEditorPart.getResultData(), ChartsEnginePreferences.SHOW_LEGEND));
-//		}
-//		// disable if not managed
-//		else	{
-//			showLegend.setEnabled(false);
-//		}
-//
-//		
-//		final ToolItem showGrid = new ToolItem(this, SWT.CHECK);
-//		//showGrid.setText(SWTComponentsProviderMessages.SWTChartsComponentProvider_SHOW_HIDE_GRID);
-//		showGrid.setImage(IImageKeys.getImage(this, "icons/show_grid.png"));
-//		showGrid.setDisabledImage(IImageKeys.getImage(this, "icons/show_grid_disabled.png"));
-//		showGrid.setToolTipText(SWTComponentsProviderMessages.SWTChartsComponentProvider_SHOW_HIDE_GRID);
-//		
-//		if(!TXMPreferences.isEmpty(chartEditorPart.getPreferencesNodeQualifier(), ChartsEnginePreferences.SHOW_GRID))	{
-//			showGrid.setSelection(TXMPreferences.getBoolean(chartEditorPart.getPreferencesNodeQualifier(), chartEditorPart.getResultData(), ChartsEnginePreferences.SHOW_GRID));
-//		}
-//		// disable if not managed
-//		else	{
-//			showGrid.setEnabled(false);
-//		}
-//
-//		
-//		
-//		SelectionListener listener = new SelectionListener() {
-//			
-//			@Override
-//			public void widgetSelected(final SelectionEvent e) {
-//				
-//				// Accessing the source must be done outside the Job
-//				if(e.getSource() == showTitle)	{
-//					TXMPreferences.putLocalBoolean(chartEditorPart.getResultData(), ChartsEnginePreferences.SHOW_TITLE,showTitle.getSelection());
-//				}
-//				if(e.getSource() == showLegend)	{
-//					TXMPreferences.putLocalBoolean(chartEditorPart.getResultData(), ChartsEnginePreferences.SHOW_LEGEND, showLegend.getSelection());
-//				}
-//				if(e.getSource() == showGrid)	{
-//					TXMPreferences.putLocalBoolean(chartEditorPart.getResultData(), ChartsEnginePreferences.SHOW_GRID, showGrid.getSelection());
-//				}
-//				
-//				
-//				// updates existing chart 
-//				Job job = new Job("Update chart") {
-//
-//				    @Override
-//				    protected IStatus run(final IProgressMonitor monitor) {
-//
-//								
-//								
-//							  	// updating and reloading
-//								monitor.beginTask("Updating", IProgressMonitor.UNKNOWN);
-//								chartEditorPart.updateChart();
-//
-//								
-//								
-//								// cancel
-//								if(monitor.isCanceled())	{
-//									return Status.CANCEL_STATUS;
-//								}
-//								
-//								// refreshes
-//					    		chartEditorPart.getSite().getShell().getDisplay().asyncExec(new Runnable() {
-//									@Override
-//									public void run() {
-//										CorporaView.refresh();
-//									}
-//								});
-//								
-//								
-//								// loading
-//								monitor.setTaskName("Loading");
-//								chartEditorPart.loadChart();
-//								
-//								
-//								
-//								// FIXME: persistence test, saving local preferences/parameters to file
-//								//TXMPreferences.flush(chartEditorPart.getResultData());
-//								
-//								
-//								// done
-//								monitor.done(); 
-//
-//							
-////							}
-////						});
-//				  
-//			    		
-//				        return Status.OK_STATUS;
-//				    }
-//
-//				};
-//				//job.setUser(true); // show progress bar, without that the progress is located to bottom right
-//				job.schedule();
-//				
-//				
-//				
-//				
-//			}
-//			
-//			@Override
-//			public void widgetDefaultSelected(SelectionEvent e) {
-//				// TODO Auto-generated method stub
-//				
-//			}
-//		};
-//		showTitle.addSelectionListener(listener);
-//		showLegend.addSelectionListener(listener);
-//		showGrid.addSelectionListener(listener);
-	}
-
-	
-	/**
-	 * Synchronizes the tool bar with the chart result states.
-	 * Enables/disables button according to the chart result states.
-	 * 
-	 */
-	// FIXME: tests to disable command if the chart is null and reenable it when the chart is computed 
-//	public void synchronize()	{
-//		boolean enable = (this.getEditorPart().getResultData().getChart() != null);
-////		HandledContributionItem t = (HandledContributionItem) this.getItem(0).getData();
-//		System.out.println("ChartEditorToolBar.synchronize()");
-//		
-//		IHandlerService handlerService = (IHandlerService) PlatformUI.getWorkbench().getService(IHandlerService.class);
-//        ICommandService commandService = (ICommandService) PlatformUI.getWorkbench().getService(ICommandService.class);
-//        if (handlerService != null && commandService != null) {
-//                try {
-//                        Command command = commandService.getCommand(ExportChartEditorView.ID);
-//                        command.setEnabled(null);
-//                        //command.setEnabled(new Boolean(enable));
-//                } catch (Exception e) {
-//                	e.printStackTrace();
-//                }
-//        }
-//        else	{
-//        	System.err.println("ChartEditorToolBar.synchronize() can't get handler service");
-//        }
-//	}
-
-
-	@Override
-	public ChartEditor getEditorPart() {
-		return (ChartEditor) editorPart;
-	}
-
-}
+package org.txm.chartsengine.rcp.swt;
+
+import org.eclipse.swt.widgets.Composite;
+import org.txm.chartsengine.core.results.ChartResult;
+import org.txm.chartsengine.rcp.editors.ChartEditor;
+import org.txm.rcp.editors.TXMEditorToolBar;
+import org.txm.rcp.swt.GLComposite;
+
+/**
+ * The default chart editor tool bar shared by every <code>ChartEditor</code>.
+ * The tool bar is accessible and usable in plugin.xml with the URI toolbar:ChartEditorToolBar.
+ * 
+ * @author sjacquot
+ *
+ */
+// FIXME: became useless, can directly use TXMEditorToolBar
+public class ChartEditorToolBar extends TXMEditorToolBar {
+
+
+	public final static String ID = "ChartEditorToolBar" ;
+	
+	
+	/**
+	 * 
+	 * @param parent
+	 * @param style
+	 * @param toolBarId
+	 * @param chartEditor
+	 */
+	public ChartEditorToolBar(ChartEditor<? extends ChartResult> chartEditor, Composite parent, GLComposite subWidgetsComposite, int style) {
+		this(chartEditor, parent, subWidgetsComposite, style, ChartEditorToolBar.ID);
+	}
+	
+
+	/**
+	 * 
+	 * @param parent
+	 * @param style
+	 * @param chartEditorPart
+	 */
+	public ChartEditorToolBar(ChartEditor<? extends ChartResult> chartEditor, Composite parent, GLComposite subWidgetsComposite, int style, String toolbarId) {
+		super(chartEditor, parent, subWidgetsComposite, style, toolbarId);
+
+		
+		//FIXME: tests
+//		new ToolItem(this, SWT.SEPARATOR);
+//		
+//		final ToolItem showTitle = new ToolItem(this, SWT.CHECK);
+//		//showTitle.setText(SWTComponentsProviderMessages.showhideTitle);
+//		showTitle.setImage(IImageKeys.getImage(this, "icons/show_title.png"));
+//		showTitle.setDisabledImage(IImageKeys.getImage(this, "icons/show_title_disabled.png"));
+//		showTitle.setToolTipText(SWTComponentsProviderMessages.showhideTitle);
+//
+//		if(!TXMPreferences.isEmpty(chartEditorPart.getPreferencesNodeQualifier(), ChartsEnginePreferences.SHOW_TITLE))	{
+//			showTitle.setSelection(TXMPreferences.getBoolean(chartEditorPart.getPreferencesNodeQualifier(), chartEditorPart.getResultData(), ChartsEnginePreferences.SHOW_TITLE));
+//		}
+//		// disable if not managed
+//		else	{
+//			showTitle.setEnabled(false);
+//		}
+//		
+//
+//		final ToolItem showLegend = new ToolItem(this, SWT.CHECK);
+//		//showLegend.setText(SWTComponentsProviderMessages.showhideLegend);
+//		showLegend.setImage(IImageKeys.getImage(this, "icons/show_legend.png"));
+//		showLegend.setDisabledImage(IImageKeys.getImage(this, "icons/show_legend_disabled.png"));
+//		showLegend.setToolTipText(SWTComponentsProviderMessages.showhideLegend);
+//
+//		if(!TXMPreferences.isEmpty(chartEditorPart.getPreferencesNodeQualifier(), ChartsEnginePreferences.SHOW_LEGEND))	{
+//			showLegend.setSelection(TXMPreferences.getBoolean(chartEditorPart.getPreferencesNodeQualifier(), chartEditorPart.getResultData(), ChartsEnginePreferences.SHOW_LEGEND));
+//		}
+//		// disable if not managed
+//		else	{
+//			showLegend.setEnabled(false);
+//		}
+//
+//		
+//		final ToolItem showGrid = new ToolItem(this, SWT.CHECK);
+//		//showGrid.setText(SWTComponentsProviderMessages.showhideGrid);
+//		showGrid.setImage(IImageKeys.getImage(this, "icons/show_grid.png"));
+//		showGrid.setDisabledImage(IImageKeys.getImage(this, "icons/show_grid_disabled.png"));
+//		showGrid.setToolTipText(SWTComponentsProviderMessages.showhideGrid);
+//		
+//		if(!TXMPreferences.isEmpty(chartEditorPart.getPreferencesNodeQualifier(), ChartsEnginePreferences.SHOW_GRID))	{
+//			showGrid.setSelection(TXMPreferences.getBoolean(chartEditorPart.getPreferencesNodeQualifier(), chartEditorPart.getResultData(), ChartsEnginePreferences.SHOW_GRID));
+//		}
+//		// disable if not managed
+//		else	{
+//			showGrid.setEnabled(false);
+//		}
+//
+//		
+//		
+//		SelectionListener listener = new SelectionListener() {
+//			
+//			@Override
+//			public void widgetSelected(final SelectionEvent e) {
+//				
+//				// Accessing the source must be done outside the Job
+//				if(e.getSource() == showTitle)	{
+//					TXMPreferences.putLocalBoolean(chartEditorPart.getResultData(), ChartsEnginePreferences.SHOW_TITLE,showTitle.getSelection());
+//				}
+//				if(e.getSource() == showLegend)	{
+//					TXMPreferences.putLocalBoolean(chartEditorPart.getResultData(), ChartsEnginePreferences.SHOW_LEGEND, showLegend.getSelection());
+//				}
+//				if(e.getSource() == showGrid)	{
+//					TXMPreferences.putLocalBoolean(chartEditorPart.getResultData(), ChartsEnginePreferences.SHOW_GRID, showGrid.getSelection());
+//				}
+//				
+//				
+//				// updates existing chart 
+//				Job job = new Job("Update chart") {
+//
+//				    @Override
+//				    protected IStatus run(final IProgressMonitor monitor) {
+//
+//								
+//								
+//							  	// updating and reloading
+//								monitor.beginTask("Updating", IProgressMonitor.UNKNOWN);
+//								chartEditorPart.updateChart();
+//
+//								
+//								
+//								// cancel
+//								if(monitor.isCanceled())	{
+//									return Status.CANCEL_STATUS;
+//								}
+//								
+//								// refreshes
+//					    		chartEditorPart.getSite().getShell().getDisplay().asyncExec(new Runnable() {
+//									@Override
+//									public void run() {
+//										CorporaView.refresh();
+//									}
+//								});
+//								
+//								
+//								// loading
+//								monitor.setTaskName("Loading");
+//								chartEditorPart.loadChart();
+//								
+//								
+//								
+//								// FIXME: persistence test, saving local preferences/parameters to file
+//								//TXMPreferences.flush(chartEditorPart.getResultData());
+//								
+//								
+//								// done
+//								monitor.done(); 
+//
+//							
+////							}
+////						});
+//				  
+//			    		
+//				        return Status.OK_STATUS;
+//				    }
+//
+//				};
+//				//job.setUser(true); // show progress bar, without that the progress is located to bottom right
+//				job.schedule();
+//				
+//				
+//				
+//				
+//			}
+//			
+//			@Override
+//			public void widgetDefaultSelected(SelectionEvent e) {
+//				// TODO Auto-generated method stub
+//				
+//			}
+//		};
+//		showTitle.addSelectionListener(listener);
+//		showLegend.addSelectionListener(listener);
+//		showGrid.addSelectionListener(listener);
+	}
+
+	
+	/**
+	 * Synchronizes the tool bar with the chart result states.
+	 * Enables/disables button according to the chart result states.
+	 * 
+	 */
+	// FIXME: tests to disable command if the chart is null and reenable it when the chart is computed 
+//	public void synchronize()	{
+//		boolean enable = (this.getEditorPart().getResultData().getChart() != null);
+////		HandledContributionItem t = (HandledContributionItem) this.getItem(0).getData();
+//		System.out.println("ChartEditorToolBar.synchronize()");
+//		
+//		IHandlerService handlerService = (IHandlerService) PlatformUI.getWorkbench().getService(IHandlerService.class);
+//        ICommandService commandService = (ICommandService) PlatformUI.getWorkbench().getService(ICommandService.class);
+//        if (handlerService != null && commandService != null) {
+//                try {
+//                        Command command = commandService.getCommand(ExportChartEditorView.ID);
+//                        command.setEnabled(null);
+//                        //command.setEnabled(new Boolean(enable));
+//                } catch (Exception e) {
+//                	e.printStackTrace();
+//                }
+//        }
+//        else	{
+//        	System.err.println("ChartEditorToolBar.synchronize() can't get handler service");
+//        }
+//	}
+
+
+	@Override
+	public ChartEditor getEditorPart() {
+		return (ChartEditor) editorPart;
+	}
+
+}
\ No newline at end of file
